[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: Upgrade steps from 2.1.x to 2.2.x

tir, 16.03.2004 kl. 01.10 skrev Jeff Leung:

> Is there anything special that I will need to do to upgrade from OpenLDAP
> 2.1.26 to 2.2.x? Specificially,
> 1. Will it be necessary to use slapcat/slapadd, or can I use my existing
> database files (I am currently using BerkeleyDB 4.2.52-2).
> 2. Will I need to recreate the indexes? If so, will I need to do anything
> special to do this?
> 3. Anything else I might want to watch out for?

Do use v >= 2.2.6.

It's relatively painless; yes, you'll have to slapcat/slapadd (see
Quanah's posting). One of the things you might find, is that the ACL
parsing is much stricter and some of your 2.1.x ACLs might not work any
more. Fortunately, it should be easy to see why the ones that don't work
don't, and to adapt them.



mail: billy - at - billy.demon.nl